@import url("https://fonts.googleapis.com/css2?family=Barlow+Semi+Condensed:ital,wght@0,500;0,600;1,500;1,600&display=swap");

*,
*::before,
*::after {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

:root {
    --purple-50: hsl(260, 100%, 95%);
    --purple-300: hsl(264, 82%, 80%);
    --purple-500: hsl(263, 55%, 52%);

    --white: hsl(0, 0%, 100%);
    --grey-100: hsl(214, 17%, 92%);
    --grey-200: hsl(0, 0%, 81%);
    --grey-400: hsl(224, 10%, 45%);
    --grey-500: hsl(217, 19%, 35%);
    --dark-blue: hsl(219, 29%, 14%);
    --black: hsl(0, 0%, 7%);

    --body-bg: #f6f5f6;

    --body-copy-size: 13px;
    --mobile-brk-pt: 375px;
    --tablet-brk-pt: 768px;
    --desktop-brk-pt: 1200px;

    --space-500: 40px;
    --space-400: 32px;
    --space-300: 24px;
    --space-200: 16px;
    --space-100: 8px;
    --space-50: 4px;
    --space-0: 0px;

    --svg-dimensions: 38px;
    --round-border-radius: 50%;
    --img-border: 2px solid;
    --card-box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.25);

    --font-sm: 0.6875rem; /* 11px */
    --font-m: 0.8125rem; /* 13px */
    --font-l: 1.25rem; /* 20px */
}

body {
    font-size: var(--body-copy-size);
    font-family: "Barlow Semi Condensed", sans-serif;
    background-color: var(--body-bg);
}

.bg-purple-500 {
    background-color: var(--purple-500);
}

.border-purple-500 {
    border-color: var(--purple-500);
}

.border-purple-300 {
    border-color: var(--purple-300);
}

.border-purple-50 {
    border-color: var(--purple-50);
}

.border-white {
    border-color: var(--white);
}

.purple-50 {
    color: var(--purple-50);
}

.bg-grey-500 {
    background-color: var(--grey-500);
}

.border-grey-500 {
    border-color: var(--grey-500);
}

.bg-dark-blue {
    background-color: var(--dark-blue);
}

.bg-white {
    background-color: var(--white);
}

.white {
    color: var(--white);
}

.grey-100 {
    color: var(--grey-100);
}

.grey-200 {
    color: var(--grey-200);
}

.grey-400 {
    color: var(--grey-400);
}

.text-preset-1 {
    font-size: var(--font-l);
    font-weight: 600;
    line-height: 120%;
    letter-spacing: var(--space-0);
}

.text-preset-2 {
    font-size: var(--font-m);
    font-weight: 500;
    line-height: 110%;
    letter-spacing: var(--space-0);
}

.text-preset-3 {
    font-size: var(--font-m);
    font-weight: 500;
    line-height: 140%;
    letter-spacing: var(--space-0);
}

.text-preset-4 {
    font-size: var(--font-sm);
    font-weight: 500;
    line-height: 110%;
    letter-spacing: var(--space-0);
}

.text-grey-200 {
    color: var(--grey-200);
}

main {
    display: grid;
    margin: 0 auto;
    grid-template-columns: 1fr;
    gap: var(--space-500);
    grid-template-rows: repeat(5, auto);
    padding: var(--space-200);
}

.card {
    padding: var(--space-400);
    border-radius: var(--space-100);
    box-shadow: var(--card-box-shadow);
}

.card,
.card section {
    display: flex;
    flex-direction: column;
    gap: var(--space-200);
}

figure {
    display: grid;
    grid-template-columns: auto 1fr;
    gap: var(--space-200);
    grid-template-rows: repeat(2, auto);
    align-items: center;
}

figure img {
    grid-row: span 2;
    border-radius: var(--round-border-radius);
    width: var(--svg-dimensions);
    height: var(--svg-dimensions);
    border: var(--img-border);
}

figure figcaption {
    grid-row: span 2;
    display: flex;
    flex-direction: column;
    gap: var(--space-50);
}

@media (width >= 768px) {
    main {
        grid-template-columns: repeat(2, 1fr);
        grid-template-areas:
            "cell-1 cell-1"
            "cell-3 cell-4"
            "cell-5 cell-5"
            "cell-6 cell-6";
    }
    .card-1 {
        grid-area: cell-1;
        background-image: url("./images/bg-pattern-quotation.svg");
        background-repeat: no-repeat;
        background-position: 80% 0px;
    }

    .card-2 {
        grid-area: cell-3;
    }
    .card-3 {
        grid-area: cell-4;
    }
    .card-4 {
        grid-area: cell-5;
    }
    .card-5 {
        grid-area: cell-6;
    }
}

@media (width >= 1440px) {
    body {
        display: grid;
        place-items: center;
        min-height: 100dvh;
        padding: var(--space-500) var(--space-0);
    }
    main {
        max-width: 1400px;
        grid-template-columns: repeat(4, 1fr);
        grid-template-rows: repeat(2, 1fr);
        grid-template-areas:
            "cell-1 cell-1 cell-2 cell-3"
            "cell-4 cell-5 cell-5 cell-3";
    }

    .card-1 {
        grid-area: cell-1;
    }

    .card-2 {
        grid-area: cell-2;
    }

    .card-3 {
        grid-area: cell-4;
    }

    .card-4 {
        grid-area: cell-5;
    }

    .card-5 {
        grid-area: cell-3;
    }
}
